// Function used to test if standard WebSocket protocol is enabled for the run time browser
function WebSocketTest() {
    if ("WebSocket" in window) {
        // Google example code
        //  var ws = new WebSocket("ws://example.com/service");
        //  ws.onopen = function()
        //  {
        //    // Web Socket is connected. You can send data by send() method
        //    ws.send("message to send"); ....
        //  };
        //  ws.onmessage = function (evt) { var received_msg = evt.data; ... };
        //  ws.onclose = function() { // websocket is closed. };
        alert("WebSockets supported here!rnrnBrowser: " + navigator.appName + " " + navigator.appVersion + "rnrntest by jimbergman.net (based on Google sample code)");
    }
    else {
        // the browser doesn't support WebSockets
        alert("WebSockets NOT supported here!rnrnBrowser: " + navigator.appName + " " + navigator.appVersion + "rnrntest by jimbergman.net (based on Google sample code)");
    }
}
